global:
  scrape_interval: 15s
  evaluation_interval: 30s

rule_files:
  - alert.rules.yml

scrape_configs:
  - job_name: admin-api
    metrics_path: /metrics
    static_configs:
      - targets: ["admin-api:8080"]
        labels:
          service: admin-api

  - job_name: mini-api
    metrics_path: /metrics
    static_configs:
      - targets: ["mini-api:8080"]
        labels:
          service: mini-api

  - job_name: user-api
    metrics_path: /metrics
    static_configs:
      - targets: ["user-api:8080"]
        labels:
          service: user-api
